* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    /*line-height: 1.6;*/
}

.contenedor {
    display: flex;
    flex-direction: row;
    height: 100vh;
}

.menu {
    width: 250px; /* Ancho fijo en escritorio */
    gap: 60px;
    background-color: #333;
    color: white;
    padding: 60px;
    transition: transform 0.3s ease;
}

.menu ul {
    list-style: none;
}

.menu ul li {
    margin-bottom: 20px;
}

.menu ul li a {
    color: white;
    text-decoration: none;
    margin-bottom: 20px;
}

.menu ul li a:hover {
    text-decoration: underline;
}

/* Contenido principal */
.contenido {
    flex-grow: 1;
    padding: 20px;
    background-color: #f4f4f4;
    overflow-y: auto;
}

.hamburguesa {
    display: none;
    position: fixed;
    top: 20px;
    left: 20px;
    font-size: 24px;
    background-color: #333;
    color: white;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    z-index: 1000;
}

/* Estilos para dispositivos móviles */
@media (max-width: 768px) {
    .menu {
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        transform: translateX(-100%);
    }

    .menu.mostrar {
        transform: translateX(0);
    }

    .hamburguesa {
        display: block;
    }

    .contenido {
        padding: 20px;
        margin-left: 0;
    }
}
